Package org.eclipse.rdf4j.model.vocabulary

## Class XSD

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.XSD

- Direct Known Subclasses:
    `XMLSchema`

      public class XSD
      extends Object

  Constants for the standard XML Schema 1.1 datatypes.
  See Also:
    XML Schema 1.1 Part 2: Datatypes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `XSD.Datatype` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ANYURI` | http://www.w3.org/2001/XMLSchema#anyURI
    `static IRI` | `BASE64BINARY` | http://www.w3.org/2001/XMLSchema#base64Binary
    `static IRI` | `BOOLEAN` | http://www.w3.org/2001/XMLSchema#boolean
    `static IRI` | `BYTE` | http://www.w3.org/2001/XMLSchema#byte
    `static IRI` | `DATE` | http://www.w3.org/2001/XMLSchema#date
    `static IRI` | `DATETIME` | http://www.w3.org/2001/XMLSchema#dateTime
    `static IRI` | `DATETIMESTAMP` | http://www.w3.org/2001/XMLSchema#dateTimeStamp
    `static IRI` | `DAYTIMEDURATION` | http://www.w3.org/2001/XMLSchema#dayTimeDuration
    `static IRI` | `DECIMAL` | http://www.w3.org/2001/XMLSchema#decimal
    `static IRI` | `DOUBLE` | http://www.w3.org/2001/XMLSchema#double
    `static IRI` | `DURATION` | http://www.w3.org/2001/XMLSchema#duration
    `static IRI` | `ENTITIES` | http://www.w3.org/2001/XMLSchema#ENTITIES
    `static IRI` | `ENTITY` | http://www.w3.org/2001/XMLSchema#ENTITY
    `static IRI` | `FLOAT` | http://www.w3.org/2001/XMLSchema#float
    `static IRI` | `GDAY` | http://www.w3.org/2001/XMLSchema#gDay
    `static IRI` | `GMONTH` | http://www.w3.org/2001/XMLSchema#gMonth
    `static IRI` | `GMONTHDAY` | http://www.w3.org/2001/XMLSchema#gMonthDay
    `static IRI` | `GYEAR` | http://www.w3.org/2001/XMLSchema#gYear
    `static IRI` | `GYEARMONTH` | http://www.w3.org/2001/XMLSchema#gYearMonth
    `static IRI` | `HEXBINARY` | http://www.w3.org/2001/XMLSchema#hexBinary
    `static IRI` | `ID` | http://www.w3.org/2001/XMLSchema#ID
    `static IRI` | `IDREF` | http://www.w3.org/2001/XMLSchema#IDREF
    `static IRI` | `IDREFS` | http://www.w3.org/2001/XMLSchema#IDREFS
    `static IRI` | `INT` | http://www.w3.org/2001/XMLSchema#int
    `static IRI` | `INTEGER` | http://www.w3.org/2001/XMLSchema#integer
    `static IRI` | `LANGUAGE` | http://www.w3.org/2001/XMLSchema#language
    `static IRI` | `LONG` | http://www.w3.org/2001/XMLSchema#long
    `static IRI` | `NAME` | http://www.w3.org/2001/XMLSchema#Name
    `static String` | `NAMESPACE` | The XML Schema namespace (http://www.w3.org/2001/XMLSchema#).
    `static IRI` | `NCNAME` | http://www.w3.org/2001/XMLSchema#NCName
    `static IRI` | `NEGATIVE_INTEGER` | http://www.w3.org/2001/XMLSchema#negativeInteger
    `static IRI` | `NMTOKEN` | http://www.w3.org/2001/XMLSchema#NMTOKEN
    `static IRI` | `NMTOKENS` | http://www.w3.org/2001/XMLSchema#NMTOKENS
    `static IRI` | `NON_NEGATIVE_INTEGER` | http://www.w3.org/2001/XMLSchema#nonNegativeInteger
    `static IRI` | `NON_POSITIVE_INTEGER` | http://www.w3.org/2001/XMLSchema#nonPositiveInteger
    `static IRI` | `NORMALIZEDSTRING` | http://www.w3.org/2001/XMLSchema#normalizedString
    `static IRI` | `NOTATION` | http://www.w3.org/2001/XMLSchema#NOTATION
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the XML Schema namespace.
    `static IRI` | `POSITIVE_INTEGER` | http://www.w3.org/2001/XMLSchema#positiveInteger
    `static String` | `PREFIX` | Recommended prefix for XML Schema datatypes: "xsd"
    `static IRI` | `QNAME` | http://www.w3.org/2001/XMLSchema#QName
    `static IRI` | `SHORT` | http://www.w3.org/2001/XMLSchema#short
    `static IRI` | `STRING` | http://www.w3.org/2001/XMLSchema#string
    `static IRI` | `TIME` | http://www.w3.org/2001/XMLSchema#time
    `static IRI` | `TOKEN` | http://www.w3.org/2001/XMLSchema#token
    `static IRI` | `UNSIGNED_BYTE` | http://www.w3.org/2001/XMLSchema#unsignedByte
    `static IRI` | `UNSIGNED_INT` | http://www.w3.org/2001/XMLSchema#unsignedInt
    `static IRI` | `UNSIGNED_LONG` | http://www.w3.org/2001/XMLSchema#unsignedLong
    `static IRI` | `UNSIGNED_SHORT` | http://www.w3.org/2001/XMLSchema#unsignedShort
    `static IRI` | `YEARMONTHDURATION` | http://www.w3.org/2001/XMLSchema#yearMonthDuration

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XSD()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The XML Schema namespace (http://www.w3.org/2001/XMLSchema#).
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for XML Schema datatypes: "xsd"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the XML Schema namespace.

    - #### DURATION

          public static final IRI DURATION

      http://www.w3.org/2001/XMLSchema#duration

    - #### DATETIME

          public static final IRI DATETIME

      http://www.w3.org/2001/XMLSchema#dateTime

    - #### DATETIMESTAMP

          public static final IRI DATETIMESTAMP

      http://www.w3.org/2001/XMLSchema#dateTimeStamp

    - #### DAYTIMEDURATION

          public static final IRI DAYTIMEDURATION

      http://www.w3.org/2001/XMLSchema#dayTimeDuration

    - #### TIME

          public static final IRI TIME

      http://www.w3.org/2001/XMLSchema#time

    - #### DATE

          public static final IRI DATE

      http://www.w3.org/2001/XMLSchema#date

    - #### GYEARMONTH

          public static final IRI GYEARMONTH

      http://www.w3.org/2001/XMLSchema#gYearMonth

    - #### GYEAR

          public static final IRI GYEAR

      http://www.w3.org/2001/XMLSchema#gYear

    - #### GMONTHDAY

          public static final IRI GMONTHDAY

      http://www.w3.org/2001/XMLSchema#gMonthDay

    - #### GDAY

          public static final IRI GDAY

      http://www.w3.org/2001/XMLSchema#gDay

    - #### GMONTH

          public static final IRI GMONTH

      http://www.w3.org/2001/XMLSchema#gMonth

    - #### STRING

          public static final IRI STRING

      http://www.w3.org/2001/XMLSchema#string

    - #### BOOLEAN

          public static final IRI BOOLEAN

      http://www.w3.org/2001/XMLSchema#boolean

    - #### BASE64BINARY

          public static final IRI BASE64BINARY

      http://www.w3.org/2001/XMLSchema#base64Binary

    - #### HEXBINARY

          public static final IRI HEXBINARY

      http://www.w3.org/2001/XMLSchema#hexBinary

    - #### FLOAT

          public static final IRI FLOAT

      http://www.w3.org/2001/XMLSchema#float

    - #### DECIMAL

          public static final IRI DECIMAL

      http://www.w3.org/2001/XMLSchema#decimal

    - #### DOUBLE

          public static final IRI DOUBLE

      http://www.w3.org/2001/XMLSchema#double

    - #### ANYURI

          public static final IRI ANYURI

      http://www.w3.org/2001/XMLSchema#anyURI

    - #### QNAME

          public static final IRI QNAME

      http://www.w3.org/2001/XMLSchema#QName

    - #### NOTATION

          public static final IRI NOTATION

      http://www.w3.org/2001/XMLSchema#NOTATION

    - #### NORMALIZEDSTRING

          public static final IRI NORMALIZEDSTRING

      http://www.w3.org/2001/XMLSchema#normalizedString

    - #### TOKEN

          public static final IRI TOKEN

      http://www.w3.org/2001/XMLSchema#token

    - #### LANGUAGE

          public static final IRI LANGUAGE

      http://www.w3.org/2001/XMLSchema#language

    - #### NMTOKEN

          public static final IRI NMTOKEN

      http://www.w3.org/2001/XMLSchema#NMTOKEN

    - #### NMTOKENS

          public static final IRI NMTOKENS

      http://www.w3.org/2001/XMLSchema#NMTOKENS

    - #### NAME

          public static final IRI NAME

      http://www.w3.org/2001/XMLSchema#Name

    - #### NCNAME

          public static final IRI NCNAME

      http://www.w3.org/2001/XMLSchema#NCName

    - #### ID

          public static final IRI ID

      http://www.w3.org/2001/XMLSchema#ID

    - #### IDREF

          public static final IRI IDREF

      http://www.w3.org/2001/XMLSchema#IDREF

    - #### IDREFS

          public static final IRI IDREFS

      http://www.w3.org/2001/XMLSchema#IDREFS

    - #### ENTITY

          public static final IRI ENTITY

      http://www.w3.org/2001/XMLSchema#ENTITY

    - #### ENTITIES

          public static final IRI ENTITIES

      http://www.w3.org/2001/XMLSchema#ENTITIES

    - #### INTEGER

          public static final IRI INTEGER

      http://www.w3.org/2001/XMLSchema#integer

    - #### LONG

          public static final IRI LONG

      http://www.w3.org/2001/XMLSchema#long

    - #### INT

          public static final IRI INT

      http://www.w3.org/2001/XMLSchema#int

    - #### SHORT

          public static final IRI SHORT

      http://www.w3.org/2001/XMLSchema#short

    - #### BYTE

          public static final IRI BYTE

      http://www.w3.org/2001/XMLSchema#byte

    - #### NON_POSITIVE_INTEGER

          public static final IRI NON_POSITIVE_INTEGER

      http://www.w3.org/2001/XMLSchema#nonPositiveInteger

    - #### NEGATIVE_INTEGER

          public static final IRI NEGATIVE_INTEGER

      http://www.w3.org/2001/XMLSchema#negativeInteger

    - #### NON_NEGATIVE_INTEGER

          public static final IRI NON_NEGATIVE_INTEGER

      http://www.w3.org/2001/XMLSchema#nonNegativeInteger

    - #### POSITIVE_INTEGER

          public static final IRI POSITIVE_INTEGER

      http://www.w3.org/2001/XMLSchema#positiveInteger

    - #### UNSIGNED_LONG

          public static final IRI UNSIGNED_LONG

      http://www.w3.org/2001/XMLSchema#unsignedLong

    - #### UNSIGNED_INT

          public static final IRI UNSIGNED_INT

      http://www.w3.org/2001/XMLSchema#unsignedInt

    - #### UNSIGNED_SHORT

          public static final IRI UNSIGNED_SHORT

      http://www.w3.org/2001/XMLSchema#unsignedShort

    - #### UNSIGNED_BYTE

          public static final IRI UNSIGNED_BYTE

      http://www.w3.org/2001/XMLSchema#unsignedByte

    - #### YEARMONTHDURATION

          public static final IRI YEARMONTHDURATION

      http://www.w3.org/2001/XMLSchema#yearMonthDuration

  - ### Constructor Detail

    - #### XSD

          public XSD()